/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class SubContractorPublicRequest {
    public id: string;

    public name: string;

    public color: string;

    public meta: object;

    /**
     * Creates a SubContractorPublicRequest.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} color
     * @param {object} meta
     */
    constructor(id: string, name: string, color: string, meta: object) {
        this.id = id;
        this.name = name;
        this.color = color;
        this.meta = meta;
    }
}
